use std::io::{read_to_string, stdin};

fn main() {
    let temp = read_to_string(stdin()).unwrap();
    let mut iter = temp
        .split_ascii_whitespace()
        .map(|x| x.parse::<usize>().unwrap());

    let arr = (0..8).map(|_| iter.next().unwrap()).collect::<Vec<_>>();
    if arr.iter().any(|&x| x == 9) {
        println!("F");
    } else {
        println!("S");
    }
}